package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 识别计划的类型, BLACK_LIST-重点人员识别计划 WHITE_LIST-陌生人识别计划(BLACK_LIST.重点人员识别计划, WHITE_LIST.陌生人识别计划)枚举类
*
* @author zxfei
*/
public enum RecognitionPlanTypeEnum {
    BLACK_LIST("BLACK_LIST", "重点人员识别计划"),
    WHITE_LIST("WHITE_LIST", "陌生人识别计划");
    private String value;
    private String desc;

    RecognitionPlanTypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static RecognitionPlanTypeEnum getByValue(String value) {
        for (RecognitionPlanTypeEnum recognitionPlanTypeEnum : RecognitionPlanTypeEnum.values()) {
            if (recognitionPlanTypeEnum.getValue() == value) {
                return recognitionPlanTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (RecognitionPlanTypeEnum item : RecognitionPlanTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}